gnutls_transport_set_push_function(3)

NAME
gnutls_transport_set_push_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_push_function(gnutls_session_t session, gnutls_push_func push_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_push_func push_func
    a callback function similar to write()

DESCRIPTION
This is the function where you set a push function for gnutls to use in order to send data. If you are going to use berkeley style sockets, you do not need to use this function since the default send(2) will probably be ok. Otherwise you should specify this function for gnutls to be able to send data. The callback should return a positive number indicating the bytes sent, and -1 on error.
 push_func is of the form, ssize_t (*gnutls_push_func)(gnutls_transport_ptr_t, const void*, size_t);

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/